Bug 733536 - test-float self check failure on PPC
Summary: test-float self check failure on PPC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: diffutils
Version: 16
Hardware: powerpc
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 23:04 UTC by Karsten Hopp
Modified: 2011-12-14 23:34 UTC (History)
1 user (show)

Fixed In Version: diffutils-3.2-5.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-14 23:34:42 UTC


Attachments (Terms of Use)
this workaround fixes test-float failure (619 bytes, patch)
2011-09-22 09:39 UTC, Jiri Skala
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 756964 None None None Never

Internal Links: 756964

Description Karsten Hopp 2011-08-25 23:04:02 UTC
Description of problem:
PASS: test-filenamecat
FAIL: test-float
/bin/sh: line 1:  7219 Aborted                 (core dumped) EXEEXT='' srcdir='.' LOCALE_FR='fr_FR' LOCALE_FR_UTF8='fr_FR.UTF-8' LIBSIGSEGV='' LOCALE_FR='fr_FR' LOCALE_TR_UTF8='tr_TR.UTF-8' LOCALE_FR='fr_FR' LOCALE_FR_UTF8='fr_FR.UTF-8' LOCALE_JA='ja_JP' LOCALE_ZH_CN='zh_CN.GB18030' LOCALE_TR_UTF8='tr_TR.UTF-8' LOCALE_FR_UTF8='fr_FR.UTF-8' LOCALE_FR='fr_FR' LOCALE_FR_UTF8='fr_FR.UTF-8' LOCALE_JA='ja_JP' LOCALE_ZH_CN='zh_CN.GB18030' LOCALE_FR_UTF8='fr_FR.UTF-8' LOCALE_ZH_CN='zh_CN.GB18030' LOCALE_FR='fr_FR' LOCALE_FR_UTF8='fr_FR.UTF-8' LOCALE_FR='fr_FR' LOCALE_FR_UTF8='fr_FR.UTF-8' LOCALE_JA='ja_JP' LOCALE_ZH_CN='zh_CN.GB18030' abs_aux_dir='/builddir/build/BUILD/diffutils-3.1/build-aux' abs_aux_dir='/builddir/build/BUILD/diffutils-3.1/build-aux' MAKE='make' LOCALE_FR='fr_FR' LOCALE_FR_UTF8='fr_FR.UTF-8' LOCALE_JA='ja_JP' LOCALE_ZH_CN='zh_CN.GB18030' "$tst" > test-float.log-t 2>&1
PASS: test-fnmatch

Version-Release number of selected component (if applicable):
diffutils-3.1-1.fc16

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=278974

1. ppc-koji build --scratch dist-f16 diffutils-3.1-1.fc16.src.rpm

Comment 1 Karsten Hopp 2011-09-09 11:08:38 UTC
cat  gnulib-tests/test-float.log 
FAIL: test-float (exit: 134)
============================

test-float.c:303: assertion failed

Something is up with the LDBL_MIN_EXP and DBL_MIN_EXP definitions, a printf showed that
LDBL_MIN_EXP: -968 
DBL_MIN_EXP: -1021

Comment 2 Jiri Skala 2011-09-22 09:39:09 UTC
Created attachment 524370 [details]
this workaround fixes test-float failure

The issue fixes substitution LDBL_MANT_DIG value by DBL_MANT_DIG value.

The values of LDBL_MAX and DBL_MAX are equal on ppc arch that differs from x86_64 arch.

Comment 3 Tim Waugh 2011-09-22 16:51:36 UTC
Thanks, reported upstream.

Comment 4 Fedora Update System 2011-11-25 15:18:39 UTC
diffutils-3.2-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/diffutils-3.2-3.fc16

Comment 5 Fedora Update System 2011-11-25 23:24:33 UTC
Package diffutils-3.2-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing diffutils-3.2-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16419/diffutils-3.2-3.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-11-30 01:59:14 UTC
Package diffutils-3.2-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing diffutils-3.2-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16419/diffutils-3.2-4.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-12-10 20:03:12 UTC
Package diffutils-3.2-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing diffutils-3.2-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16419/diffutils-3.2-5.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-12-14 23:34:42 UTC
diffutils-3.2-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.